<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmRefFlags Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmRefFlags Enumeration

Visual Basic
C#
C++/CLI
Types of item reference. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmRefFlags
       Inherits System.Enum

C# |
--- | ---

    public enum EdmRefFlags : System.Enum

C++/CLI |
--- | ---

    public enum class EdmRefFlags : public System.Enum

# Members

Member | Description
--- | ---
EdmRef_Dynamic | 4 = Auto-update item to file reference
EdmRef_File | 1 = Item to file reference
EdmRef_Item | 2 = Item to item reference
EdmRef_Static | 8 = Attachment-type item to file reference

# See Also

####

EPDM.Interop.epdm Namespace
EdmItemRef Structure
IEdmReference7::EdmRefFlags Property ()
IEdmReference7::GetFirstChildPosition2
IEdmReference7::GetFirstParentPosition2 Method ()
IEdmBatchItemGeneration2::AddSelection2 Method ()